#! /bin/bash
SERVERLOG=/srv/www/cao/db/index.log
ZEBRACFG=/srv/www/cao/db/zebra.cfg
DATADIR=/srv/www/cao

# XXX Clear the log each time?
cat /dev/null > $SERVERLOG

# Rebuild the entire indexs if given the word. Otherwise just update
if [[ "$1" == index ]]
then
    echo "Rebuilding the entire indexes"
    /opt/bin/zebraidx -c $ZEBRACFG -l $SERVERLOG init
else
    echo "Updating the indexes"
fi
/opt/bin/zebraidx -c $ZEBRACFG -l $SERVERLOG update $DATADIR/wcsu $DATADIR/ccsu $DATADIR/scsu $DATADIR/ecsu $DATADIR/statelib $DATADIR/uconn $DATADIR/litchfield
 
 
echo "Exit status: $?"
/opt/bin/zebraidx -c $ZEBRACFG -l $SERVERLOG commit
